﻿local _, englishClass = UnitClass("player")
	if (englishClass ~="DRUID") then
		return
end
function ClassTimer:CreateTimers()
--buffs
	self:AddRule("Buffs","Rejuvenation")
	self:AddRule("Buffs","Regrowth")
	self:AddRule("Buffs","Barkskin")
	self:AddRule("Buffs","Abolish Poison")
--DOTs
	self:AddRule("DOTs","Moonfire")
	self:AddRule("DOTs","Entangling Roots")
	self:AddRule("DOTs","Hibernate")
	self:AddRule("DOTs","Faerie Fire")
	self:AddRule("DOTs","Faerie Fire (Feral)", {Alt ="Faerie Fire"})
	self:AddRule("DOTs","Insect Swarm")
--talents
	self:AddRule("Talents","Nature's Grasp")
	self:AddRule("Talents","Force of Nature")
	self:AddRule("Talents","Feral Charge")
	self:AddRule("Talents","Nurturing Instinct")
	self:AddRule("Talents","Mangle (Bear)", {Alt ="Mangle"})
	self:AddRule("Talents","Mangle (Cat)", {Alt ="Mangle"})
--feral
	self:AddRule("Feral","Demoralizing Roar")
	self:AddRule("Feral","Enrage")
	self:AddRule("Feral","Bash")
	self:AddRule("Feral","Frenzied Regeneration")
	self:AddRule("Feral","Rip")
	self:AddRule("Feral","Rake")
	self:AddRule("Feral","Tiger's Fury")
	self:AddRule("Feral","Dash")
--misc
	self:AddRule("Misc","Soothe Animal")
	self:AddRule("Diminishing returns","PvP") 
	self:AddRule("Diminishing returns","PvE") 
end

function ClassTimer:OnUpdate()
	self:SetupBuffs("player")
	self:SetupBuffs("target")
	for i = 1, 4 do 
		self:SetupBuffs("party"..i)
	end
	for i = 1, 40 do
		self:SetupBuffs("raid"..i)
	end
	
	self:SetupDebuffs("focus")
	self:SetupDebuffs("target")
end 

ClassTimer.target = {debuffs = {}, buffs = {}}
ClassTimer.focus = {debuffs = {}}
ClassTimer.player = {buffs = {}}
for i = 1, 4 do 
	ClassTimer["party"..i] = {buffs = {}}
end
for i = 1, 40 do
	ClassTimer["raid"..i] = {buffs = {}}
end 
